Bug 230586 - Review Request: xdg-user-dirs-gtk - gnome/gtk+ integration of xdg-user-dirs
Review Request: xdg-user-dirs-gtk - gnome/gtk+ integration of xdg-user-dirs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-01 12:17 EST by Alexander Larsson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 05:13:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2007-03-01 12:17:21 EST
Spec URL: http://people.redhat.com/alexl/temp/xdg-user-dirs-gtk.spec
SRPM URL: http://people.redhat.com/alexl/temp/xdg-user-dirs-gtk-0.1-1.fc7.src.rpm
Description: 
Contains some integration of xdg-user-dirs with the gnome
desktop, including creating default bookmarks and detecting
locale changes.

review bug for xdg-user-dirs in bug 230585
Comment 1 manuel wolfshant 2007-03-01 14:10:37 EST
Build in mock/devel/x86_64 failed:

checking for xgettext... /usr/bin/xgettext
checking for intltool >= 0.35.0... 0.35.5 found
checking for perl... /usr/bin/perl
checking for XML::Parser... configure: error: XML::Parser perl module is
required for intltool
error: Bad exit status from /var/tmp/rpm-tmp.11780 (%build)
Comment 2 manuel wolfshant 2007-03-01 14:15:11 EST
another stop after that:
checking for x86_64-redhat-linux-gnu-pkg-config... (cached) no
checking pkg-config is at least version 0.9.0... ./configure: line 6758: no:
command not found
no
checking for GTK... configure: error: The pkg-config script could not be found
or is too old.  Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
Comment 3 manuel wolfshant 2007-03-01 14:20:24 EST
And the show goes on...
checking for x86_64-redhat-linux-gnu-pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GTK... configure: error: Package requirements (gtk+-2.0) were not met:

No package 'gtk+-2.0' found

Comment 4 manuel wolfshant 2007-03-01 14:41:15 EST
That was it. gtk2-devel, pkgconfig and perl-XML-Parser seem to be needed.
After adding those the package builds in mock, yielding
[wolfy@wolfy xdg-user-dirs-gtk]$ rpmlint ~/xdg-user-dirs-gtk-0.1*rpm
[wolfy@wolfy xdg-user-dirs-gtk]$ rpmlint xdg-user-dirs-gtk-0.1-1.fc7.x86_64.rpm
W: xdg-user-dirs-gtk non-conffile-in-etc
/etc/xdg/autostart/user-dirs-update-gtk.desktop

Please submit a fixed spec/rpm and I'll do the review.
Comment 6 manuel wolfshant 2007-03-02 05:41:01 EST
GOOD

- rpmlint checks do not return anything either on source or on binary package
- package meets naming guidelines
- package meets packaging guidelines
- license ( GPL ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream, sha1sum 
09ccb33dd147d969ec33a9e3d08daa1ca0c37202  xdg-user-dirs-gtk-0.1.tar.gz
- package compiles on devel (x86_64)
- no missing BR
- MINOR: unnecessary BR: pkgconfig is pulled in by gtk2-devel
- no locales, despite what the build log seems to say
- not relocatable
- owns all files/directories that it creates, does not take ownership of foreign
files/directories
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- MUSTFIX the .desktop file does not contain all needed entries:
/usr/bin/desktop-file-validate *desktop
user-dirs-update-gtk.desktop: error: required key "Type" not found
user-dirs-update-gtk.desktop: warning: non-standard key "OnlyShownIn" lacks the
"X-" prefix
According to http://fedoraproject.org/wiki/Packaging/Guidelines#desktop there
are a few missing entries
- MUSTFIX: still according to
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop, "It is not simply
enough to just include the .desktop file in the package, one MUST run
desktop-file-install in %install (and have BuildRequires: desktop-file-utils),
to help ensure .desktop file safety and spec-compliance."
- no .la, .pc, static content
- devel not needed


SHOULD

- builds without problems in mock/devel/x86_64
- does not segfault at run. I am not a Gnome user, so I cannot really test if it
creates what it supposed to create; a dry run in strace seems to appear OK


Please fix the desktop issues (I suggest either a patch or going with the
simpler version of a separate file included as Source1) and I will approve the
package. You might also remove pkgconfig from BR if you wish since it's not
really needed to be included separately.
Comment 7 Alexander Larsson 2007-03-02 07:03:11 EST
I fixed the desktop file upstream and made a new release:
http://people.redhat.com/alexl/temp/xdg-user-dirs-gtk.spec
http://people.redhat.com/alexl/temp/xdg-user-dirs-gtk-0.2-1.fc7.src.rpm

However, i disagree with using desktop-file-install. I'm using a desktop file as
per the autostart spec, not for something in the menus, so the guidelines don't
really affect this use. (And in fact, it would be pretty weird to use it in this
case.)
Comment 8 manuel wolfshant 2007-03-02 07:42:53 EST
Except for Source0 which is wrong (you have left 0.1 instead of 0.2) the rest is
OK. New sha1sum for source file is
4184311e587a49b73a1fc5a00811bcc2d2df2fa7  /tmp/xdg-user-dirs-gtk-0.2.tar.gz
4184311e587a49b73a1fc5a00811bcc2d2df2fa7  /home/wolfy/xdg-user-dirs-gtk-0.2.tar.gz


Your choice of using the desktop file seems (to me at least) to correspond with
http://standards.freedesktop.org/autostart-spec/autostart-spec-0.5.html#id2452086
so I guess that in this particular case the guidelines do not apply.

Package APPROVED. Please do not forget to fix Source0 before uploading to cvs.
Comment 9 Alexander Larsson 2007-03-02 08:56:26 EST
New Package CVS Request
=======================
Package Name: xdg-user-dirs-gtk
Short Description: Gnome integration for xdg-user-dirs
Owners: alexl@redhat.com
Branches: devel
InitialCC: 
Comment 10 Alexander Larsson 2007-03-05 05:13:47 EST
imported
Comment 11 Warren Togami 2007-03-05 08:41:33 EST
I see fedora-cvs in the ? state, but it is already added to owners.list and
devel branch is created.  I don't see any further action needing to be taken. 
Setting to +.

Note You need to log in before you can comment on or make changes to this bug.